##
##        Mod title:  Calendar [Upgrade instructions]
##
##      Mod version:  2.0.8a beta
##   Works on PunBB:  1.2.*
##     Release date:  2007-03-14
##           Author:  Michael Lanman 'Gizzmo' (justgiz@justgizzmo.com)
##           Assist:  BugHunter, soonotes, shaunkirkby, xxtubby, Quaker, TwoHawks
##
##      Description:  Adds a calendar that shows topics, posts, birthdays, and
##                    events for the month. Also adds birthday entry to the
##                    profile.
##
##   Affected files:  profile.php
##                    include/common.php
##                    styles/imports/***.css
##                                     
##       Affects DB:  no
##
##       DISCLAIMER:  Please note that "mods" are not officially supported by
##                    PunBB. Installation of this modification is done at your
##                    own risk. Backup your forum database and any and all
##                    applicable files before proceeding.
##
##


#
#---------[ 1. UPLOAD ]-------------------------------------------------------
#

calendar.php to /

calendar/header.php to /calendar/header.php

img/icon_party.gif to /img/icon_party.gif

include/user/showminical1.php to /include/user/showminical1.php

lang/English/calendar.php to /lang/English/calendar.php


#
#---------[ 2. OPEN ]---------------------------------------------------------
#

profile.php


#
#---------[ 3. FIND (line: 965) ]---------------------------------------------
#

                $datestamp = mktime(0,0,0,$month,$day,0)


#
#---------[ 4. REPLACE WITH ]-------------------------------------------------
#

                $datestamp = mktime(0,0,0,$month,$day,0);


#
#---------[ 5. OPEN ]---------------------------------------------------------
#

include/common.php


#
#---------[ 6. AT THE END, ADD ]---------------------------------------------
#

// Load MiniCalendar Functions
require PUN_ROOT.'calendar/header.php';


#
#---------[ 7. OPEN ("***" means effected files) ]----------------------------
#

styles/imports/***_cs.css


#
#---------[ 8. DELETE ]---------------------------------------------------------
#

.calendar_no {background-color: #......}
.calendar_day{background-color: #......}
.calendar_event{background-color: #......}
.calendar_bday {background-color: #......}  // currently not visible in mini-calendars


#
#---------[ 9. FIND ]---------------------------------------------
#

/* 1. 2 Darker background colours */


#
#---------[ 10. BEFORE, ADD ]---------------------------------------------------
#

/****************************************************************/
/* 0.0 Calendar Color Additions - edit to suit your own taste */
/****************************************************************/
.calendar_no {background-color: gray}
.calendar_day {background-color: #00FFFF; COLOR:BLUE}
.calendar_event {background-color: #F9E9C8}
.calendar_bday {background-color: #FECAFF}
/****************************************************************/


#
#---------[ 11. FIND ]---------------------------------------------
#

/****************************************************************/
/* 5. POST STATUS INDICATORS */
/****************************************************************/


#
#---------[ 12. BEFORE, ADD ]---------------------------------------------------
# Note: Essentially your adding the next lines at the end of the LINK COLOURS section
# Again, edit to suit your own color tastes!
#

.calendar_bday A:link, .calendar_bday A:visited {COLOR: RED}
.calendar_bday A:hover {COLOR: #8080FF}
.calendar_event A:link, .calendar_event A:visited {COLOR: #00AE00}
.calendar_event A:hover {COLOR: #80EE80}


#
#---------[ 13. SAVE/UPLOAD ]-------------------------------------------------
#

